org.jbpm.process.core.impl

## Class ContextContainerImpl

- java.lang.Object
- - org.jbpm.process.core.impl.ContextContainerImpl

- All Implemented Interfaces:
    Serializable, ContextContainer

      public class ContextContainerImpl
      extends Object
      implements Serializable, ContextContainer

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextContainerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContext(Context context)`
    `Context` | `getContext(String contextType, long id)`
    `List<Context>` | `getContexts(String contextType)`
    `Context` | `getDefaultContext(String contextType)`
    `void` | `setDefaultContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextContainerImpl

          public ContextContainerImpl()

  - ### Method Detail

    - #### getContexts

          public List<Context> getContexts(String contextType)

      Specified by:
        `getContexts` in interface `ContextContainer`

    - #### addContext

          public void addContext(Context context)

      Specified by:
        `addContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext(String contextType,
                                    long id)

      Specified by:
        `getContext` in interface `ContextContainer`

    - #### setDefaultContext

          public void setDefaultContext(Context context)

      Specified by:
        `setDefaultContext` in interface `ContextContainer`

    - #### getDefaultContext

          public Context getDefaultContext(String contextType)

      Specified by:
        `getDefaultContext` in interface `ContextContainer`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.